jjb: Make sure pylint fails when warnings are present
[lttng-ci.git] / scripts / babeltrace / pylint.sh
old mode 100644 (file)
new mode 100755 (executable)
index 5ed53e9..f04f8ad
@@ -1,6 +1,7 @@
-#!/bin/sh -exu
+#!/bin/bash -exu
 #
-# Copyright (C) 2015 - Michael Jeanson <mjeanson@efficios.com>
+# Copyright (C) 2019 Michael Jeanson <mjeanson@efficios.com>
+# Copyright (C) 2019 Francis Deslauriers <francis.deslauriers@efficios.com>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-BABELTRACE_DIR="deps/babeltrace/build"
-BINDINGS_DIR="$BABELTRACE_DIR/lib/python3.4/dist-packages/babeltrace"
+set -o pipefail
+
+PYTHON3=python3
 
 PYENV_HOME="$WORKSPACE/.pyenv/"
 
 # Delete previously built virtualenv
-if [ -d $PYENV_HOME ]; then
-    rm -rf $PYENV_HOME
+if [ -d "$PYENV_HOME" ]; then
+    rm -rf "$PYENV_HOME"
 fi
 
 # Create virtualenv and install necessary packages
-virtualenv --system-site-packages -p python3 $PYENV_HOME
-. $PYENV_HOME/bin/activate
-pip install --quiet pylint
-pip install --quiet pep8
+virtualenv --system-site-packages -p ${PYTHON3} "$PYENV_HOME"
+
+set +ux
+. "$PYENV_HOME/bin/activate"
+set -ux
+
+pip install --quiet black
+pip install --quiet flake8
+
+exit_code=0
+
+cd src/babeltrace
 
-pep8 --exclude="nativebt.py" $BINDINGS_DIR | tee pep8.out
+black --diff --check . | tee ../../black.out || exit_code=1
+flake8 --output-file=../../flake8.out --tee || exit_code=1
 
-pylint -f parseable --ignore="nativebt.py" $BINDINGS_DIR | tee pylint.out
+exit $exit_code
This page took 0.033738 seconds and 4 git commands to generate.